> For the complete documentation index, see [llms.txt](https://docs.ritabot.gg/ritabot-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.24.md).

# V1.3.24

Version Changes for 1.3.?-?

{% hint style="info" %}
If you need help at any point join our [**Discord Server**](https://discord.gg/mgNR64R) and someone will help you.
{% endhint %}

## Inital Release

{% code overflow="wrap" %}

```markdown
### 1.3.24-0
Date: 26/01/23
User: Qjuh 
> ----------
>>> Core Code Files
* Full rew-write to support ESM
* Move launch.js to deleted
* Changed last few properties to new system
* Converted to ESM
* Fixed bugs found when starting on pebble
* Multiple bug fixes
* Remove unused export
* Turned dashboard into ESM too (untested)
* Fixed bugs if missing permissions
* Fixed intents checks
* Eslint corrections
* Fixed permission check, resolves #89
* Fixed `!tr group link` bug
* Linted and fixed `!tr select` command
* Fixed codeblock translation
* Make yellow leave when blue joins
* Fixes gulpfile
* Updated Blue role BotID
* Added multiple Slash commands
```

{% endcode %}

## V-1

{% code overflow="wrap" %}

```markdown
### 1.3.24-1
Date: 27/01/23
User: Qjuh 
> ----------
>>> db.js, events.js, send.js
* Added JSDoc's

>>> send.js
* Fixed stickers Bug
```

{% endcode %}

## V-2

{% code overflow="wrap" %}

```markdown
### 1.3.24-2
Date: 28/01/23
User: Qjuh 
> ----------
>>> commands.js, misc.js, translate.react.js, db.js, translate.js, events.js, message.js
* Replaced `server_obj[id].servers.subscription` with `server_obj[id].subscriptions`

>>> Core Code Files
* Change to permission structures, These are checked in BitField and not each command

>>> choose_server.js
* Fixed !tr sub select menu

>>> send.js
* Fixed image sending in threads
```

{% endcode %}

## V-3

{% code overflow="wrap" %}

```markdown
### 1.3.24-3
Date: 02/02/23
User: Qjuh 
> ----------
>>> db.js
* Fixed !tr stop for #channel taskCount calculation
* Fixed a `taskCount` bug

>>> eject.js 
* turn `/eject` into `/warn eject`, add `/warn dm`
```

{% endcode %}

## V-4

{% code overflow="wrap" %}

```markdown
### 1.3.24-4
Date: 03/02/23
User: Qjuh 
> ----------
>>> db.js
* Multiple Fixes of `taskCount` bug
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ritabot.gg/ritabot-docs/version-history/130/v1.3.24.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
